Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 215109 - Removing all class files from a classpath folder does not force reindex of dependent classes and associated problems
Removing all class files from a classpath folder does not force reindex of de...
Status: RESOLVED FIXED
Product: java
Classification: Unclassified
Component: Source
7.3
PC Linux
: P3 (vote)
: 7.3
Assigned To: Jan Lahoda
issues@java
:
Depends on:
Blocks: 214863
  Show dependency treegraph
 
Reported: 2012-07-03 08:03 UTC by Jan Lahoda
Modified: 2012-07-08 19:01 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Lahoda 2012-07-03 08:03:03 UTC
While trying to reproduce bug #214863, I have found to other problems:
Here is what I tried (finding two other problems along the way) - only on Linux
so far:
-created a project, added a directory with some .class files on its classpath.
-tried to delete the directory (bug: the error badges did not appear
"immediately")
-tried to copy the class file back. The error badges disappeared almost
immediately. Bug: the errors in an opened files did not until a reparse of the
file in the editor was forced.
-tried to also copy the classfiles again to see if there is a problem with
updating
Comment 1 Quality Engineering 2012-07-04 03:09:16 UTC
Integrated into 'main-golden', will be available in build *201207040002* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/4ba353058a50
User: Jan Lahoda <jlahoda@netbeans.org>
Log: #215109: fixing analysis after classfiles are deleted from a classpath folder, or after the classpath folder is deleted.
Comment 2 Jan Lahoda 2012-07-08 19:01:54 UTC
Fix for the second problem:
http://hg.netbeans.org/main-silver/rev/98c654bec11c


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo